<?php

/**
 * Phire Mobile Not Allowed
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/system.check.php';
include_once '../core/process/init.php';

// If the system is not properly configured or installed.
if ($sys_check == false) {

    include_once '../core/includes/failed.php';

// Else, process the 'not allowed' page.
} else {

    include_once '../core/includes/mobile/header.php';

?>
        <table id="loginTable">
            <tr>
                <td>
                    <h2 class="redHeader"><?php $lang->_e('Mobile Access Not Allowed'); ?></h2>
                    <p>
                        <?php $lang->_e('Mobile access has been disabled. You can only access the system from a desktop or laptop.'); ?>
                    </p>
                </td>
            </tr>
        </table>
<?php

    include_once '../core/includes/mobile/footer.php';

}

?>