<?php
/**
 * Phire CMS
 *
 * LICENSE
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.TXT.
 * It is also available through the world-wide-web at this URL:
 * http://www.phirecms.org/LICENSE.TXT
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@phirecms.org so we can send you a copy immediately.
 *
 * @category   Phire
 * @package    Phire_Table
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 */

require_once dirname(__FILE__) . '/../../../httpdocs/phire/bootstrap.php';

class Phire_Table_TemplatesTest extends PHPUnit_Framework_TestCase
{

    public function testTableTemplatesConstructor()
    {
        $t = new Phire_Table_Templates();
        $class = 'Phire_Table_Templates';
        $this->assertTrue($t instanceof $class);
    }

    public function testTableTemplatesGetTemplate()
    {
        $t = new Phire_Table_Templates();
        $t->getTemplate(6001);
        $this->assertEquals('Home Page Template', $t->template_name);
        $this->assertEquals('text/html', $t->type);
    }

}

?>